import { ParticleSystem } from './ParticleSystem';
import { Blending, InstancedBufferGeometry, Mesh, ShaderMaterial, Texture, BufferGeometry, Vector3 } from 'three';
export interface ParticleSystemBatchSettings {
    instancingGeometry: BufferGeometry;
    texture: Texture;
    uTileCount: number;
    vTileCount: number;
    blending: Blending;
    renderMode: RenderMode;
    renderOrder: number;
}
export declare enum RenderMode {
    BillBoard = 0,
    StretchedBillBoard = 1,
    LocalSpaceBillBoard = 2
}
export declare class ParticleSystemBatch extends Mesh {
    type: string;
    systems: Set<ParticleSystem>;
    geometry: InstancedBufferGeometry;
    material: ShaderMaterial;
    private rotationBuffer;
    private sizeBuffer;
    private colorBuffer;
    private offsetBuffer;
    private uvTileBuffer;
    private velocityBuffer?;
    settings: ParticleSystemBatchSettings;
    constructor(settings: ParticleSystemBatchSettings);
    addSystem(system: ParticleSystem): void;
    removeSystem(system: ParticleSystem): void;
    rebuildMaterial(): void;
    vector_: Vector3;
    update(): void;
    dispose(): void;
}
