import { Texture, Group, Object3D, LoadingManager, ImageLoader } from "three";
import { BatchedParticleRenderer } from "./BatchedParticleRenderer";
export declare class QuarksLoader {
    manager: LoadingManager;
    crossOrigin: string;
    path?: string;
    resourcePath: string;
    constructor(manager?: LoadingManager);
    setPath(value: string): this;
    setResourcePath(value: string): this;
    setCrossOrigin(value: string): this;
    load(url: string, renderer: BatchedParticleRenderer, onLoad: (object3d: Object3D) => void, onProgress: () => void, onError: (error: any) => void): void;
    loadImage(loader: ImageLoader, url: string): HTMLImageElement;
    parseImages(json: any, onLoad: () => void): any;
    parseTextures(json: any, images: {
        [uuid: string]: any;
    }): {
        [uuid: string]: Texture;
    };
    parseObject(data: any, textures: {
        [uuid: string]: Texture;
    }, renderer: BatchedParticleRenderer): Object3D<import("three").Event> | Group | import("./ParticleEmitter").ParticleEmitter;
    parse(json: any, onLoad: (object: any) => void, renderer: BatchedParticleRenderer): Object3D<import("three").Event> | Group | import("./ParticleEmitter").ParticleEmitter;
}
