import { FunctionJSON } from "./FunctionJSON";
import { ConstantValue } from "./ConstantValue";
import { IntervalValue } from "./IntervalValue";
import { PiecewiseBezier } from "./PiecewiseBezier";
export interface ValueGenerator {
    type: 'value';
    genValue(): number;
    toJSON(): FunctionJSON;
    clone(): ValueGenerator;
}
export interface FunctionValueGenerator {
    type: 'function';
    genValue(t: number): number;
    toJSON(): FunctionJSON;
    clone(): FunctionValueGenerator;
}
export declare function ValueGeneratorFromJSON(json: FunctionJSON): ConstantValue | IntervalValue | PiecewiseBezier;
